import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:stopmotion/config/screen.dart';

class NavCubitScreen extends HydratedCubit<int> {
  NavCubitScreen() : super(0);

  void updateIndex(int index) {
    if (Screen.isIndexAllowed(index)) {
      emit(index);
    } else {
      goToActivityPage();
    }
  }

  void goToActivityPage() {
    emit(Screen.indexActivity);
  }

  void goToSettingsPage() {
    emit(Screen.indexSettings);
  }

  void goToAboutPage() {
    emit(Screen.indexAbout);
  }

  @override
  int fromJson(Map<String, dynamic> json) {
    return Screen.indexActivity;
  }

  @override
  Map<String, dynamic>? toJson(int state) {
    return <String, int>{'screenIndex': state};
  }
}
